svn commit: branches/busybox_1_4_stable: testsuite

aldot at busybox.net aldot at busybox.net
Sat Jan 27 14:47:08 PST 2007


Author: aldot
Date: 2007-01-27 14:47:08 -0800 (Sat, 27 Jan 2007)
New Revision: 17562

Log:
- pull r17554 and r17555 from trunk:
- fix testsuite and add test for sum


Added:
   branches/busybox_1_4_stable/testsuite/sum.tests

Modified:
   branches/busybox_1_4_stable/Makefile.custom


Changeset:
Modified: branches/busybox_1_4_stable/Makefile.custom
===================================================================
--- branches/busybox_1_4_stable/Makefile.custom	2007-01-27 22:24:59 UTC (rev 17561)
+++ branches/busybox_1_4_stable/Makefile.custom	2007-01-27 22:47:08 UTC (rev 17562)
@@ -38,9 +38,9 @@
 	done
 endif
 
-check test: busybox
+check test: busybox busybox.links
 	bindir=$(objtree) srcdir=$(srctree)/testsuite SED="$(SED)" \
-	$(SHELL) $(srctree)/testsuite/runtest $(if $(KBUILD_VERBOSE:1=),-v)
+	$(SHELL) $(srctree)/testsuite/runtest $(if $(KBUILD_VERBOSE:0=),-v)
 
 .PHONY: release
 release: distclean

Added: branches/busybox_1_4_stable/testsuite/sum.tests
===================================================================
--- branches/busybox_1_4_stable/testsuite/sum.tests	                        (rev 0)
+++ branches/busybox_1_4_stable/testsuite/sum.tests	2007-01-27 22:47:08 UTC (rev 17562)
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# unit test for sum.
+# Copyright 2007 by Bernhard Fischer
+# Licensed under GPL v2 or later, see file LICENSE for details.
+
+# AUDIT: Unit tests for sum
+
+. testing.sh
+
+# testing "test name" "options" "expected result" "file input" "stdin"
+#   file input will be file called "input"
+#   test can create a file "actual" instead of writing to stdout
+
+testing "sum -r file doesn't print file's name" \
+        "sum -r $0 | grep -c $0 && echo wrongly_printed_filename || echo yes" \
+	"0\nyes\n" "" ""
+testing "sum -r file file does print both names" \
+        "sum -r $0 $0 | grep -c $0 && echo yes || echo wrongly_omitted_filename" \
+	"2\nyes\n" "" ""
+testing "sum -s file does print file's name" \
+        "sum -s $0 | grep -c $0 && echo yes || echo wrongly_omitted_filename" \
+	"1\nyes\n" "" ""
+exit $FAILCOUNT


Property changes on: branches/busybox_1_4_stable/testsuite/sum.tests
___________________________________________________________________
Name: svn:executable
   + *



More information about the busybox-cvs mailing list